<?php

namespace EventPortal\Domain\ActionList;

use Illuminate\Support\Arr;

class ActionListTemplateRegistry
{
    /** @var array<ActionListTemplate> */
    private $actionListTemplates = [];

    public function make(string $type): ActionListTemplate
    {
        if (Arr::has($this->actionListTemplates, $type)) {
            return $this->actionListTemplates[$type];
        }

        $this->actionListTemplates[$type] = new ActionListTemplate($type);

        return $this->actionListTemplates[$type];
    }

    public function all(): array
    {
        return $this->actionListTemplates;
    }
}
