<?php

namespace EventPortal\Tests\Unit\Event\Handlers;

use EventPortal\Domain\Event\Handlers\SetTypeAsDefault;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Form\Payload;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Pipeline\Pipeline;

/**
 * Class SetTypeAsDefaultTest
 * @package EventPortal\Tests\Unit\Event\Handlers
 * @group SetTypeAsDefault
 */
class SetTypeAsDefaultTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function can_set_type_as_default_when_type_is_null()
    {
        $event = factory(Event::class)->create(['type' => null]);

        $payload = Payload::make()->withModel($event);

        app(Pipeline::class)
            ->send($payload)
            ->through([new SetTypeAsDefault])
            ->thenReturn();

        $this->assertJson('{"label":"Default","value":"default"}', $event->type);
    }
}
