<?php

namespace EventPortal\Tests\Unit\Models;

use EventPortal\Domain\Admin\Models\Admin;
use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Seeds\RoleSeeder;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;

class AdminTest extends TestCase
{
    use DatabaseMigrations;

    /** @test **/
    public function returns_true_if_admin_is_compliance(): void
    {
        $this->seed(RoleSeeder::class);

        $admin = factory(Admin::class)->create();

        $admin->assignRole('compliance');

        $this->assertTrue($admin->isCompliance());
    }

    /** @test **/
    public function returns_false_if_admin_is_not_compliance(): void
    {
        $admin = factory(Admin::class)->create();

        $this->assertFalse($admin->isCompliance());
    }
}
